Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.join
Class ToParentBlockJoinSortField

    java.lang.Object
      org.apache.lucene.search.SortField
          org.apache.lucene.search.join.ToParentBlockJoinSortField

    public class ToParentBlockJoinSortField

extends SortField

A special sort field that allows sorting parent docs based on nested / child level fields. Based on the sort order it either takes the document with the lowest or highest field value into account.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.SortField
`SortField.Type`

Field Summary

Fields inherited from class org.apache.lucene.search.SortField
`FIELD_DOC, FIELD_SCORE, missingValue`

Constructor Summary
`ToParentBlockJoinSortField(String field, SortField.Type type, boolean reverse, boolean order, Filter parentFilter, Filter childFilter)` Create ToParentBlockJoinSortField.
`ToParentBlockJoinSortField(String field, SortField.Type type, boolean reverse, Filter parentFilter, Filter childFilter)` Create ToParentBlockJoinSortField.

Method Summary
`FieldComparator<?>` | `getComparator(int numHits, int sortPos)`

Methods inherited from class org.apache.lucene.search.SortField
`equals, getBytesComparator, getComparatorSource, getField, getParser, getReverse, getType, hashCode, rewrite, setBytesComparator, setMissingValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToParentBlockJoinSortField

    public ToParentBlockJoinSortField(String field,
                                      SortField.Type type,
                                      boolean reverse,
                                      Filter parentFilter,
                                      Filter childFilter)

  Create ToParentBlockJoinSortField. The parent document ordering is based on child document ordering (reverse).

  Parameters:
    `field` - The sort field on the nested / child level.
    `type` - The sort type on the nested / child level.
    `reverse` - Whether natural order should be reversed on the nested / child level.
    `parentFilter` - Filter that identifies the parent documents.
    `childFilter` - Filter that defines which child documents participates in sorting.

### ToParentBlockJoinSortField

    public ToParentBlockJoinSortField(String field,
                                      SortField.Type type,
                                      boolean reverse,
                                      boolean order,
                                      Filter parentFilter,
                                      Filter childFilter)

  Create ToParentBlockJoinSortField.

  Parameters:
    `field` - The sort field on the nested / child level.
    `type` - The sort type on the nested / child level.
    `reverse` - Whether natural order should be reversed on the nested / child document level.
    `order` - Whether natural order should be reversed on the parent level.
    `parentFilter` - Filter that identifies the parent documents.
    `childFilter` - Filter that defines which child documents participates in sorting.

Method Detail

### getComparator

    public FieldComparator<?> getComparator(int numHits,
                                            int sortPos)
                                     throws IOException

  Overrides:
    `getComparator` in class `SortField`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.